<template>
  <div>
    <searchbar />
    <b-navbar toggleable="lg" type="light" class="navbar-container" sticky>
      <b-row class="spacing">
        <b-col cols="6" md="6" sm="12">
          <breadcrumb
            :root-path-name="pageTitle"
            :menu="breadcrumbMenu"
            :is-secondary-page="isSecondaryPage"
          />
        </b-col>
        <b-col cols="6" md="6" sm="12">
          <b-button-group class="button-group">
            <slot></slot>
          </b-button-group>
        </b-col>
      </b-row>
    </b-navbar>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Searchbar from '@/components/Navbar/Searchbar.vue'
import Breadcrumb from '@/components/Navbar/Breadcrumb/Breadcrumb.vue'

export default Vue.extend({
  name: 'Navbar',
  components: { Searchbar, Breadcrumb },
  props: {
    pageTitle: {
      type: String,
      default: ''
    },
    breadcrumbMenu: {
      type: Array,
      default: () => []
    },
    isSecondaryPage: {
      type: Boolean,
      default: false
    }
  }
})
</script>

<style>
.navbar-container {
  width: calc(100% - 250px);
  float: right;
  background-color: white;
  padding: 0 0.9375rem;
  border-bottom: solid 1px #e2e2e2;
  box-shadow: 0px 3px 12px rgba(0, 0, 0, 0.03);
  top: 0px;
  z-index: 20;
}
.breadcrumbs {
  margin: 4px 0 0.5rem 0;
  color: #cacaca;
}
.no-padding {
  padding: 0;
}
.page-title {
  font-weight: 200;
  font-size: 1.9375rem;
  margin-bottom: 0.5rem;
}
.button-group {
  text-align: right;
  float: right;
  position: relative;
  margin-top: 21px;
  margin-bottom: 1rem;
  flex-wrap: nowrap;
  align-items: stretch;
}
</style>
